%define name            ecell
%define version         3.2.1  

# when compiling SVN: complete this,
# use %{svn} on line 30, uncomment line 97
#define svn		2632
#define rel		5
#define release		%mkrel 1.%{svn}.%{rel}

# when compiling stable version
%define rel		2
%define release		%mkrel %{rel}

%define major		2
%define libname		%mklibname %{name} %{major}
%define devname		%mklibname -d %{name}

# disable doc build for now as it brokes the build
# (11/2010 wally)
%define build_doc	0

Summary:	A software suite for modeling, simulation, and analysis of biological cells
Name:		%{name}
Version:	%{version}
Release:	%{release}
# Source0: if stable use %{name}-%{version}.tar.bz2
# if SVN use %{name}-%{version}-%{svn}.tar.bz2
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
License:	GPLv2+ and LGPLv2+
Group:		Sciences/Biology
Url:		http://ecell.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Obsoletes:	ecell3 <= 1.0.103
Buildrequires:	gnome-python-canvas
BuildRequires:	boost-devel
BuildRequires:	gsl-devel
BuildRequires:	python-ply
BuildRequires:	python-devel
BuildRequires:	python-numpy-devel
BuildRequires:	pygtk2.0-libglade
BuildRequires:	libltdl-devel

%if %{build_doc}
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd42-xml
%endif

Requires:	gnome-python
Requires:	gnome-python-canvas
Requires:	gnome-python-gnomevfs
Requires:	pygtk2.0-libglade
Requires:	python-numpy
Requires:	%{libname} = %{version}-%{release}
# require devel package as it's possibly needed on run-time for the examples (samples),
# see note on description
Requires:	%{devname} = %{version}-%{release}

%description
E-Cell Project is an international research project aiming to model and
reconstruct biological phenomena in silico, and developing necessary
theoretical supports, technologies and software platforms to allow precise
whole cell simulation.

E-Cell System is an object-oriented software suite for modeling, simulation,
and analysis of large scale complex systems such as biological cells. The
first version of E-Cell Simulation Environment (E-Cell SE) was released
in 1999, after which the development of its Windows version, E-Cell
version 2, had started and recently released. Software development has
since shifted to developing version 3, restructuring the system with
an aim to provide the cell simulation community a common, highly
flexible and high performance software environment.

Note that development libraries and headers are also required by this
package because they may be required to create new biological processes
or to run the included examples.

%package -n %{libname}
Summary:	Libraries from Ecell3
Group:		System/Libraries
Obsoletes:	libecell3_2 <= 1.0.103

%description -n %{libname}
This package provides the libraries for %{name}.

%package -n %{devname}
Summary:	Developer package for E-Cell System
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	python-numpy-devel

%description -n %{devname}
This package provides the development files for %{name}.

%if %build_doc
%package doc
Summary:	Ecell3 extras documentations
Group:		Sciences/Biology
BuildArch:	noarch

%description doc
E-Cell Project is an international research project aiming to model and
reconstruct biological phenomena in silico, and developing necessary
theoretical supports, technologies and software platforms to allow precise
whole cell simulation.

This package contains extra documentation.
%endif

%package session-monitor
Summary:	E-Cell Session Monitor
Group:		Sciences/Biology
Requires:	ecell = %{version}-%{release}
Requires:	pygtk2.0
Requires:	pygtk2.0-libglade

%description session-monitor
E-Cell System is an object-oriented software suite for modeling,
simulation, and analysis of large scale complex systems, particularly focused
on biological details of cellular behavior.

%package model-editor
Summary:	E-Cell Model Editor
Group:		Sciences/Biology
Requires:	ecell = %{version}-%{release}
Requires:	ecell-session-monitor = %{version}-%{release}
Requires:	pygtk2.0
Requires:	pygtk2.0-libglade
Requires:	gnome-python-canvas

%description model-editor
E-Cell System is an object-oriented software suite for modeling,
simulation, and analysis of large scale complex systems, particularly focused
on biological details of cellular behavior.

%prep
%setup -q
%setup -q -T -D -a1 #icons

%build
%configure2_5x --disable-static

#fix build
sed -i -e 's|CXXFLAGS = .*|CXXFLAGS = |g' ecell/dm/Makefile

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%multiarch_includes %{buildroot}%{_includedir}/ecell-3.2/ecell_config.h

# desktop files
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}-session-monitor.desktop << EOF
[Desktop Entry]
Name=E-Cell Session Monitor
Comment=A software suite for modeling, simulation, and analysis of biological cells
Exec=ecell3-session-monitor
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;Education;Science;Biology;
EOF

cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}-model-editor.desktop << EOF
[Desktop Entry]
Name=E-Cell Model Editor
Comment=A software suite for modeling, simulation, and analysis of biological cells
Exec=ecell3-model-editor
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;Education;Science;Biology;
EOF

# icons
install -D -m 644 %{name}48.png %{buildroot}/%{_liconsdir}/%{name}.png
install -D -m 644 %{name}32.png %{buildroot}/%{_iconsdir}/%{name}.png
install -D -m 644 %{name}16.png %{buildroot}/%{_miconsdir}/%{name}.png

#fix shebang
sed -i -e 's|/usr/local/bin|%{_bindir}|g' %{buildroot}%{python_sitearch}/ecell/em.py

# let files section handle docs
rm -rf %{buildroot}%{_docdir}

# we don't want these
rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_libdir}/%{name}-3.2/session-monitor/plugins/Makefile*
rm -rf %{buildroot}%{_libdir}/%{name}-3.2/model-editor/plugins/Makefile.am

#fix rights
chmod 644 %{buildroot}%{_libdir}/%{name}-3.2/session-monitor/plugins/*.xpm
chmod 644 %{buildroot}%{_libdir}/%{name}-3.2/model-editor/plugins/*.py

%if %{build_doc}
#move to a better location
cp -R ecell/model-editor/doc doc/model-editor
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING AUTHORS NEWS README doc/samples
%dir %{_sysconfdir}/ecell-3.2/
%{_bindir}/ecell3-em2eml
%{_bindir}/ecell3-eml2em
%{_bindir}/ecell3-eml2sbml
%{_bindir}/ecell3-python
%{_bindir}/ecell3-sbml2eml
%{_bindir}/ecell3-session
%{_bindir}/ecell3-session-manager
%{_datadir}/ecell-3.2
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING AUTHORS NEWS README
%exclude %{_libdir}/ecell-3.2/model-editor
%exclude %{_libdir}/ecell-3.2/session-monitor
%exclude %{python_sitelib}/%{name}/ui
%{_libdir}/ecell-3.2
%{_libdir}/*.so.*
%{python_sitearch}/ecell
%{python_sitearch}/E_Cell-%{version}-py%{py_ver}.egg-info

%files -n %{devname}
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/dmcompile
%{_bindir}/ecell3-dmc
%{_libdir}/*.so
%{_includedir}/dmtool
%{_includedir}/ecell-3.2
%{multiarch_includedir}/ecell-3.2

%files session-monitor
%defattr(-,root,root)
%doc AUTHORS COPYING README
%dir %{_sysconfdir}/ecell-3.2
%config(noreplace) %{_sysconfdir}/ecell-3.2/osogo.ini
%{_bindir}/ecell3-session-monitor
%{_libdir}/ecell-3.2/session-monitor
%dir %{python_sitelib}/%{name}/ui
%{python_sitelib}/%{name}/ui/*.py
%{python_sitelib}/%{name}/ui/osogo
%{python_sitelib}/%{name}.session_monitor-%{version}-py%{pyver}.egg-info
%{_datadir}/applications/mandriva-%{name}-session-monitor.desktop

%files model-editor
%defattr(-,root,root)
%doc AUTHORS COPYING README
%config(noreplace) %{_sysconfdir}/ecell-3.2/model-editor.ini
%{_bindir}/ecell3-model-editor
%{_libdir}/ecell-3.2/model-editor
%{python_sitelib}/%{name}/ui/model_editor
%{python_sitelib}/%{name}.model_editor-%{version}-py%{pyver}.egg-info
%{_datadir}/applications/mandriva-%{name}-model-editor.desktop

%if %{build_doc}
%files doc
%defattr(-,root,root)
%doc doc/refman doc/users-manual doc/model-editor doc/api
%endif


%changelog
* Tue Nov 23 2010 Jani Välimaa <wally@mandriva.org> 3.2.1-2mdv2011.0
+ Revision: 600242
- D'oh!
- subpackages can't be noarch as package build on x86_64
  installs files to a wrong location when it is installed to
  a i586 machine

* Tue Nov 23 2010 Jani Välimaa <wally@mandriva.org> 3.2.1-1mdv2011.0
+ Revision: 600081
- split devel files to a separate -devel package
- split session-monitor and model-editor to a separate noarch packages
- clean some files and fix rights
- new version 3.2.1
- disable doc build for now (brokes the build)
- clean spec a bit

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild for new boost

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 3.1.105-1.2632.3mdv2008.1
+ Revision: 140723
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Funda Wang <fwang@mandriva.org> 3.1.105-1.2632.3mdv2008.0
+ Revision: 77219
- fix doc files
- fix file list
- drop old menu & fix xdg menu entry comment

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Eric Fernandez <zeb@mandriva.org>
    - fix documentation packaging


* Mon Dec 18 2006 Eric Fernandez <zeb@mandriva.org> 3.1.105-1.2632.2mdv2007.0
+ Revision: 98525
- Added docbook DTD for documentation

* Fri Dec 15 2006 Eric Fernandez <zeb@mandriva.org> 3.1.105-1.2632.1mdv2007.1
+ Revision: 97391
- no doc for the moment (problem with jade)
- make doc-pdf only for the moment (problem with jade)
- BuildRequires doxygen for documentation
- python-devel is also required for x86_64
- python-numpy-devel is required for x86_64
- Import ecell

* Thu Dec 14 2006 Eric Fernandez <zeb@zebulon.org.uk> 3.1.105-1.2632.1mdv2007.1
- new snapshot
- removed python-numeric (replaced by python-numpy)

* Sat Sep 02 2006 Eric Fernandez <zeb@zebulon.org.uk> 3.1.105-1.2601.1mdv2007.0
- new snapshot
- Buildrequires fix

* Sat Aug 19 2006 Eric Fernandez <zeb@zebulon.org.uk> 3.1.105-1.2600.2mdv2007.0
- menu entry fix

* Fri Aug 18 2006 Eric Fernandez <zeb@zebulon.org.uk> 3.1.105-1.2600.1mdv2007.0
- new snapshot
- some menu cleaning

* Mon Jul 24 2006 Eric Fernandez <zeb@zebulon.org.uk> 3.1.105-1.2597.3mdv2007.0
- correct menu entry missing

* Mon Jul 24 2006 Eric Fernandez <zeb@zebulon.org.uk> 3.1.105-1.2597.2mdv2007.0
- correct menu entry

* Sun Jul 23 2006 Eric Fernandez <zeb@zebulon.org.uk> 3.1.105-1.2597.1mdv2007.0
- new snapshot
- xdg menu

* Thu Jun 29 2006 Eric Fernandez <zeb@zebulon.org.uk> 3.1.105-1.2594.1mdv2007.0
- new snapshot
- xdg menu

* Sun Jun 25 2006 Eric Fernandez <zeb@zebulon.org.uk> 3.1.105-1.2592.1mdv2007.0
- new snapshot

* Sat Jun 24 2006 Eric Fernandez <zeb@zebulon.org.uk> 3.1.105-1.2589.2mdv2007.0
- requires python-numpy

* Sat Jun 24 2006 Eric Fernandez <zeb@zebulon.org.uk> 3.1.105-1.2589.1mdv2007.0
- new snapshot

* Mon Apr 24 2006 Eric Fernandez <zeb@zebulon.org.uk> 3.1.105-1.2555.1mdk
- switch to SVN repository
- doc_grouped has been removed from repository
- now compile on x86_64

* Fri Feb 17 2006 Eric Fernandez <zeb@zebulon.org.uk> 3.1.105-0.20060216.1mdk
- Use %%{1}mdv2007.1
- New CVS snapshot
- BuildRequires: xorg-x11-Xvfb and set DISPLAY for gnome.canvas import (from Gcompris spec)

* Mon Dec 19 2005 Eric Fernandez <zeb@zebulon.org.uk> 3.1.105-0.20051219.1mdk
- New CVS snapshot

* Sat Dec 10 2005 Eric Fernandez <zeb@zebulon.org.uk> 3.1.105-0.20051210.2mdk
- New Requires

* Sat Dec 10 2005 Eric Fernandez <zeb@zebulon.org.uk> 3.1.105-0.20051210.1mdk
- New CVS snapshot

* Thu Nov 24 2005 Eric Fernandez <zeb@zebulon.org.uk> 3.1.104-0.20051124.1mdk
- New CVS snapshot

* Tue Nov 08 2005 Eric Fernandez <zeb@zebulon.org.uk> 3.1.104-0.20051107.1mdk
- Documentation package created
- Spec file cleanup
- New CVS

* Sat Nov 05 2005 Eric Fernandez <zeb@zebulon.org.uk> 3.1.104-0.20051104.2mdk
- Corrects doc building problem

* Sat Nov 05 2005 Eric Fernandez <zeb@zebulon.org.uk> 3.1.104-0.20051104.1mdk
- New 3.1.105 snapshot

* Fri Aug 05 2005 Eric Fernandez <zeb@zebulon.org.uk> 3.1.104-0.20050804.2mdk
- New snapshot, new bug fix

* Sun Jul 31 2005 Eric Fernandez <zeb@zebulon.org.uk> 3.1.104-0.20050730.1mdk
- New snapshot, corrects a nasty bug in ODEStepper

* Tue Jul 26 2005 Eric Fernandez <zeb@zebulon.org.uk> 3.1.104-0.20050725.1mdk
- New snapshot
- Clean up Buildrequires (lib devel requirements)

* Thu Mar 03 2005 Eric Fernandez <zeb@zebulon.org.uk> 3.1.104-0.20050303.1mdk
- New snapshot, CVS version 3.1.104
- multiarch policy

* Wed Jan 19 2005 Eric Fernandez <zeb@zebulon.org.uk> 3.1.103-0.20050118.1mdk
- New snapshot
- removed --with-plf since graphviz has now a free license and is available in main
- rename ecell3 to ecell, obsoletes ecell3, libecell3
- Happy new year :)

* Mon Dec 20 2004 Eric Fernandez <zeb@zebulon.org.uk> 1.0.103-0.20041219.1mdk
- New snapshot
- libecell3 now requires libsbml

* Thu Dec 09 2004 Eric Fernandez <zeb@zebulon.org.uk> 1.0.103-0.20041208.1mdk
- New snapshot
- some spec comments to clarify the status of documentation and some dev libs

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.0.103-0.20040930.3mdk
- Rebuild for new  python

* Fri Oct 29 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.103-0.20040930.2mdk
- Requires lib == version (thx Eric Fernandez <zeb@zebulon.org.uk>)

* Sun Oct 03 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.103-0.20040930.1mdk
- Eric Fernandez <zeb@zebulon.org.uk>
  - spec file cleaning, split package
  - New snapshot, fix script use in GUI (osogo)
- add -with doc and --with plf for documantation

* Wed Sep 22 2004 Michael Scherer <misc@mandrake.org> 1.0.103-0.20040914.1mdk 
- spec files cleaning, and fixing
- from Eric Fernandez <zeb@zebulon.org.uk>
  - New snapshot, various fixes

* Tue Sep 14 2004 Eric Fernandez <zeb@zebulon.org.uk> 1.0.103-0.20040913.1mdk
- New snapshot, fix script use in GUI (osogo)

* Fri Sep 10 2004 Eric Fernandez <zeb@zebulon.org.uk> 1.0.103-0.20040909.1mdk
- New snapshot, various bugfixes

* Thu Sep 09 2004 Eric Fernandez <zeb@zebulon.org.uk> 1.0.103-0.20040908.1mdk
- New snapshot, added LocalSimulatorImplementation

* Wed Sep 01 2004 Eric Fernandez <zeb@zebulon.org.uk> 1.0.103-0.20040830-1mdk
- New snapshot (new model editor and tutorial)

* Fri Aug 27 2004 Eric Fernandez <zeb@zebulon.org.uk> 1.0.103-0.20040825-1mdk
- First mdk release

